Package net.snowflake.client.api.connection

## Class DownloadStreamConfig

- java.lang.Object
- - net.snowflake.client.api.connection.DownloadStreamConfig

    public class DownloadStreamConfig
    extends Object

Optional configuration for downloading files from a Snowflake stage as a stream.

This class provides optional configuration for the `SnowflakeConnection.downloadStream(String, String, DownloadStreamConfig)` method. Required parameters (stageName, sourceFileName) are passed as method arguments, while optional settings are configured here.

Example usage:

     DownloadStreamConfig config = DownloadStreamConfig.builder()
         .setDecompress(true)
         .build();

     try (InputStream stream = connection.downloadStream("@my_stage", "data/file.csv.gz", config)) {
       // Process the stream
     }

See Also:
  `SnowflakeConnection.downloadStream(String, String, DownloadStreamConfig)`

### Nested Class Summary

Nested Classes
`static class` `DownloadStreamConfig.Builder` Builder for creating `DownloadStreamConfig` instances.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static DownloadStreamConfig.Builder` `builder()` Creates a new builder instance.
`boolean` `isDecompress()` Whether to decompress the file during download.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### isDecompress

    public boolean isDecompress()

Whether to decompress the file during download.

Returns:
  true if the file should be decompressed, false otherwise

#### builder

    public static DownloadStreamConfig.Builder builder()

Creates a new builder instance.

Returns:
  a new `DownloadStreamConfig.Builder`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`